## r-cran-lbfgsb3c 2020

=== DESCRIPTION ===
Package: lbfgsb3c
Type: Package
Title: Limited Memory BFGS Minimizer with Bounds on Parameters with
        optim() 'C' Interface
Version: 2020-3.3
Authors@R: c(person(given = c("Matthew", "L"), family = "Fidler", role =
              c("aut", "cre"), email = "matthew.fidler@gmail.com"),
	      person(given = c("John", "C"), family = "Nash", role =
              c("aut"), email = "nashjc@uottawa.ca"),
              person(given = "Ciyou", family = "Zhu", role = "aut"),
              person(given = "Richard", family = "Byrd", role = "aut"),
              person(given = "Jorge", family = "Nocedal", role = "aut"),
              person(given = c("Jose", "Luis"), family = "Morales", role = "aut"))
Maintainer: Matthew L Fidler <matthew.fidler@gmail.com>
Description: Interfacing to Nocedal et al. L-BFGS-B.3.0
        (See <http://users.iems.northwestern.edu/~nocedal/lbfgsb.html>)
        limited memory BFGS minimizer with bounds on parameters.
        This is a fork of 'lbfgsb3'.
	This registers a 'R' compatible 'C' interface to L-BFGS-B.3.0 that uses the same
	function types and optimization as the optim() function (see writing 'R' extensions
        and source for details).  This package also adds more stopping criteria as well
        as allowing the adjustment of more tolerances.
License: GPL-2
Depends: R (>= 3.6)
Imports: Rcpp (>= 0.12.3), numDeriv, methods
Suggests: knitr, microbenchmark, optimx, pkgbuild, RcppArmadillo,
        rmarkdown, testthat (>= 3.0.0)
LinkingTo: Rcpp (>= 0.12.3), RcppArmadillo
Encoding: UTF-8
VignetteBuilder: knitr
NeedsCompilation: yes
RoxygenNote: 7.2.3
Author: Matthew L Fidler [aut, cre],
  John C Nash [aut],
  Ciyou Zhu [aut],
  Richard Byrd [aut],
  Jorge Nocedal [aut],
  Jose Luis Morales [aut]
Packaged: 2023-11-28 14:01:47 UTC; matt
URL: https://nlmixr2.github.io/lbfgsb3c/
Config/testthat/edition: 3
Repository: CRAN
Date/Publication: 2023-11-28 16:20:02 UTC

## r-cran-lbfgsb3c 2020-3.2

=== debian/changelog ===
r-cran-lbfgsb3c (2020-3.2-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 31 Oct 2020 19:01:39 +0100

r-cran-lbfgsb3c (2020-3.2-1) unstable; urgency=medium

  * Initial release (closes: #973366)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 17:58:37 +0100

=== debian/control ===
Source: r-cran-lbfgsb3c
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.3),
               r-cran-numderiv,
               r-cran-rcpparmadillo
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lbfgsb3c
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lbfgsb3c.git
Homepage: https://cran.r-project.org/package=lbfgsb3c
Rules-Requires-Root: no

Package: r-cran-lbfgsb3c
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R limited memory BFGS minimizer with bounds on Parameters
 Interfacing to Nocedal et al. L-BFGS-B.3.0 (See
 <http://users.iems.northwestern.edu/~nocedal/lbfgsb.html>) limited
 memory BFGS minimizer with bounds on parameters. This is a fork of
 'lbfgsb3'. This registers a 'R' compatible 'C' interface to L-BFGS-B.3.0
 that uses the same function types and optimization as the optim()
 function (see writing 'R' extensions and source for details). This
 package also adds more stopping criteria as well as allowing the
 adjustment of more tolerances.

## r-cran-lbfgsb3c 2020-3.3

=== debian/changelog ===
r-cran-lbfgsb3c (2020-3.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 22:05:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.3),
+               r-cran-rcpp,
                r-cran-numderiv,
                r-cran-rcpparmadillo
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lbfgsb3c
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lbfgsb3c.git
 Homepage: https://cran.r-project.org/package=lbfgsb3c

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-optimx,
        r-cran-pkgbuild,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

## r-cran-lbfgsb3c 2024

=== DESCRIPTION ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Type: Package
 Title: Limited Memory BFGS Minimizer with Bounds on Parameters with
         optim() 'C' Interface
-Version: 2020-3.3
+Version: 2024-3.5
 Authors@R: c(person(given = c("Matthew", "L"), family = "Fidler", role =
-              c("aut", "cre"), email = "matthew.fidler@gmail.com"),
+              c("aut", "cre"), email = "matthew.fidler@gmail.com", comment=c(ORCID="0000-0001-8538-6691")),
 	      person(given = c("John", "C"), family = "Nash", role =
               c("aut"), email = "nashjc@uottawa.ca"),
               person(given = "Ciyou", family = "Zhu", role = "aut"),
@@ -24,20 +24,22 @@
 Depends: R (>= 3.6)
 Imports: Rcpp (>= 0.12.3), numDeriv, methods
 Suggests: knitr, microbenchmark, optimx, pkgbuild, RcppArmadillo,
-        rmarkdown, testthat (>= 3.0.0)
+        rmarkdown, testthat (>= 3.0.0), adagio
 LinkingTo: Rcpp (>= 0.12.3), RcppArmadillo
 Encoding: UTF-8
 VignetteBuilder: knitr
 NeedsCompilation: yes
-RoxygenNote: 7.2.3
-Author: Matthew L Fidler [aut, cre],
+RoxygenNote: 7.3.2
+Packaged: 2024-09-17 21:53:50 UTC; matt
+URL: https://nlmixr2.github.io/lbfgsb3c/,
+        https://github.com/nlmixr2/lbfgsb3c
+BugReports: https://github.com/nlmixr2/lbfgsb3c/issues
+Config/testthat/edition: 3
+Author: Matthew L Fidler [aut, cre] (<https://orcid.org/0000-0001-8538-6691>),
   John C Nash [aut],
   Ciyou Zhu [aut],
   Richard Byrd [aut],
   Jorge Nocedal [aut],
   Jose Luis Morales [aut]
-Packaged: 2023-11-28 14:01:47 UTC; matt
-URL: https://nlmixr2.github.io/lbfgsb3c/
-Config/testthat/edition: 3
 Repository: CRAN
-Date/Publication: 2023-11-28 16:20:02 UTC
+Date/Publication: 2024-09-17 22:30:06 UTC

## r-cran-lbfgsb3c 2024-3.5

=== debian/changelog ===
r-cran-lbfgsb3c (2024-3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Correct L-BFGS-B's copyright (Closes: #1105872)

 -- Bastian Germann <bage@debian.org>  Tue, 02 Sep 2025 13:10:46 +0200

r-cran-lbfgsb3c (2024-3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Mon, 27 Jan 2025 15:40:10 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcpp,
                r-cran-numderiv,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lbfgsb3c
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lbfgsb3c.git
 Homepage: https://cran.r-project.org/package=lbfgsb3c

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-knitr,
+        r-cran-microbenchmark,
         r-cran-optimx,
         r-cran-pkgbuild,
         r-cran-rmarkdown,
